<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref29.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::Token::UNION - Synopsis::Token::ntInfixExpr</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::Token::UNION - Synopsis::Token::ntInfixExpr</h1><div class="xref-name"><a id="Synopsis_mToken_mUNION" /><h2 >Enumerator Synopsis::Token::UNION</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#UNION" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#96">Synopsis/Token.hh:96</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#74">Synopsis/PTree/NodesFwd.hh:74</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mUNSIGNED" /><h2 >Enumerator Synopsis::Token::UNSIGNED</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#UNSIGNED" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#97">Synopsis/Token.hh:97</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#75">Synopsis/PTree/NodesFwd.hh:75</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mUSING" /><h2 >Enumerator Synopsis::Token::USING</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#USING" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#131">Synopsis/Token.hh:131</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#76">Synopsis/PTree/NodesFwd.hh:76</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mUserKeyword" /><h2 >Enumerator Synopsis::Token::UserKeyword</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#UserKeyword" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#120">Synopsis/Token.hh:120</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mUserKeyword2" /><h2 >Enumerator Synopsis::Token::UserKeyword2</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#UserKeyword2" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#121">Synopsis/Token.hh:121</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mUserKeyword3" /><h2 >Enumerator Synopsis::Token::UserKeyword3</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#UserKeyword3" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#122">Synopsis/Token.hh:122</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mUserKeyword4" /><h2 >Enumerator Synopsis::Token::UserKeyword4</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#UserKeyword4" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#123">Synopsis/Token.hh:123</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mUserKeyword5" /><h2 >Enumerator Synopsis::Token::UserKeyword5</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#UserKeyword5" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#129">Synopsis/Token.hh:129</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mVIRTUAL" /><h2 >Enumerator Synopsis::Token::VIRTUAL</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#VIRTUAL" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#98">Synopsis/Token.hh:98</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#77">Synopsis/PTree/NodesFwd.hh:77</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mVOID" /><h2 >Enumerator Synopsis::Token::VOID</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#VOID" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#99">Synopsis/Token.hh:99</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#78">Synopsis/PTree/NodesFwd.hh:78</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mVOLATILE" /><h2 >Enumerator Synopsis::Token::VOLATILE</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#VOLATILE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#100">Synopsis/Token.hh:100</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#79">Synopsis/PTree/NodesFwd.hh:79</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mWCHAR" /><h2 >Enumerator Synopsis::Token::WCHAR</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#WCHAR" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#136">Synopsis/Token.hh:136</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#80">Synopsis/PTree/NodesFwd.hh:80</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mWHILE" /><h2 >Enumerator Synopsis::Token::WHILE</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#WHILE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#117">Synopsis/Token.hh:117</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#81">Synopsis/PTree/NodesFwd.hh:81</a>: in namespace <a href="../Scopes/Synopsis/PTree/Kwd.html" >Synopsis::PTree::Kwd</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mWideCharConst" /><h2 >Enumerator Synopsis::Token::WideCharConst</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#WideCharConst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#135">Synopsis/Token.hh:135</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mWideStringL" /><h2 >Enumerator Synopsis::Token::WideStringL</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#WideStringL" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#134">Synopsis/Token.hh:134</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mlength" /><h2 >Data member Synopsis::Token::length</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#length" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#209">Synopsis/Token.hh:209</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#207">Synopsis/Token.hh:207</a>: in member function <a href="../Scopes/Synopsis/Token.html#operator_e_e_lchar_rconst" >Synopsis::Token::operator==&#40;char&#41;const</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntAccessDecl" /><h2 >Enumerator Synopsis::Token::ntAccessDecl</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntAccessDecl" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#155">Synopsis/Token.hh:155</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#48">Synopsis/PTree/TypeVisitor.hh:48</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAccessDecl_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;AccessDecl*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntAccessSpec" /><h2 >Enumerator Synopsis::Token::ntAccessSpec</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntAccessSpec" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#151">Synopsis/Token.hh:151</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#47">Synopsis/PTree/TypeVisitor.hh:47</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAccessSpec_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;AccessSpec*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntArrayExpr" /><h2 >Enumerator Synopsis::Token::ntArrayExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntArrayExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#185">Synopsis/Token.hh:185</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#77">Synopsis/PTree/TypeVisitor.hh:77</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lArrayExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ArrayExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntArrowMemberExpr" /><h2 >Enumerator Synopsis::Token::ntArrowMemberExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntArrowMemberExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#190">Synopsis/Token.hh:190</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#81">Synopsis/PTree/TypeVisitor.hh:81</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lArrowMemberExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ArrowMemberExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntAssignExpr" /><h2 >Enumerator Synopsis::Token::ntAssignExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntAssignExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#176">Synopsis/Token.hh:176</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#65">Synopsis/PTree/TypeVisitor.hh:65</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAssignExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;AssignExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntBreakStatement" /><h2 >Enumerator Synopsis::Token::ntBreakStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntBreakStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#165">Synopsis/Token.hh:165</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#56">Synopsis/PTree/TypeVisitor.hh:56</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lBreakStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;BreakStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntCaseStatement" /><h2 >Enumerator Synopsis::Token::ntCaseStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntCaseStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#169">Synopsis/Token.hh:169</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#60">Synopsis/PTree/TypeVisitor.hh:60</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCaseStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;CaseStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntCastExpr" /><h2 >Enumerator Synopsis::Token::ntCastExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntCastExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#180">Synopsis/Token.hh:180</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#69">Synopsis/PTree/TypeVisitor.hh:69</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCastExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;CastExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntClassSpec" /><h2 >Enumerator Synopsis::Token::ntClassSpec</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntClassSpec" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#143">Synopsis/Token.hh:143</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#44">Synopsis/PTree/TypeVisitor.hh:44</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lClassSpec_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ClassSpec*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntCommaExpr" /><h2 >Enumerator Synopsis::Token::ntCommaExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntCommaExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#175">Synopsis/Token.hh:175</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#64">Synopsis/PTree/TypeVisitor.hh:64</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExpression_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Expression*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntCondExpr" /><h2 >Enumerator Synopsis::Token::ntCondExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntCondExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#177">Synopsis/Token.hh:177</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#66">Synopsis/PTree/TypeVisitor.hh:66</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCondExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;CondExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntContinueStatement" /><h2 >Enumerator Synopsis::Token::ntContinueStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntContinueStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#166">Synopsis/Token.hh:166</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#57">Synopsis/PTree/TypeVisitor.hh:57</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lContinueStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ContinueStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntDeclaration" /><h2 >Enumerator Synopsis::Token::ntDeclaration</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntDeclaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#145">Synopsis/Token.hh:145</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#39">Synopsis/PTree/TypeVisitor.hh:39</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeclaration_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Declaration*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntDeclarator" /><h2 >Enumerator Synopsis::Token::ntDeclarator</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntDeclarator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#140">Synopsis/Token.hh:140</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#41">Synopsis/PTree/TypeVisitor.hh:41</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeclarator_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;Declarator*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntDefaultStatement" /><h2 >Enumerator Synopsis::Token::ntDefaultStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntDefaultStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#170">Synopsis/Token.hh:170</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#61">Synopsis/PTree/TypeVisitor.hh:61</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDefaultStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;DefaultStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntDeleteExpr" /><h2 >Enumerator Synopsis::Token::ntDeleteExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntDeleteExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#184">Synopsis/Token.hh:184</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#76">Synopsis/PTree/TypeVisitor.hh:76</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeleteExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;DeleteExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntDoStatement" /><h2 >Enumerator Synopsis::Token::ntDoStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntDoStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#163">Synopsis/Token.hh:163</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#53">Synopsis/PTree/TypeVisitor.hh:53</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDoStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;DoStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntDotMemberExpr" /><h2 >Enumerator Synopsis::Token::ntDotMemberExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntDotMemberExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#189">Synopsis/Token.hh:189</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#80">Synopsis/PTree/TypeVisitor.hh:80</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDotMemberExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;DotMemberExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntEnumSpec" /><h2 >Enumerator Synopsis::Token::ntEnumSpec</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntEnumSpec" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#144">Synopsis/Token.hh:144</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#45">Synopsis/PTree/TypeVisitor.hh:45</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lEnumSpec_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;EnumSpec*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntExprStatement" /><h2 >Enumerator Synopsis::Token::ntExprStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntExprStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#172">Synopsis/Token.hh:172</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#63">Synopsis/PTree/TypeVisitor.hh:63</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExprStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ExprStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntExternTemplate" /><h2 >Enumerator Synopsis::Token::ntExternTemplate</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntExternTemplate" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#154">Synopsis/Token.hh:154</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#32">Synopsis/PTree/TypeVisitor.hh:32</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExternTemplate_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ExternTemplate*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntForStatement" /><h2 >Enumerator Synopsis::Token::ntForStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntForStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#164">Synopsis/Token.hh:164</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#54">Synopsis/PTree/TypeVisitor.hh:54</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lForStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;ForStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntFstyleCast" /><h2 >Enumerator Synopsis::Token::ntFstyleCast</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntFstyleCast" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#142">Synopsis/Token.hh:142</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#43">Synopsis/PTree/TypeVisitor.hh:43</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lFstyleCastExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;FstyleCastExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntFuncallExpr" /><h2 >Enumerator Synopsis::Token::ntFuncallExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntFuncallExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#186">Synopsis/Token.hh:186</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#78">Synopsis/PTree/TypeVisitor.hh:78</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lFuncallExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;FuncallExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntGotoStatement" /><h2 >Enumerator Synopsis::Token::ntGotoStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntGotoStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#168">Synopsis/Token.hh:168</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#59">Synopsis/PTree/TypeVisitor.hh:59</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lGotoStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;GotoStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntIfStatement" /><h2 >Enumerator Synopsis::Token::ntIfStatement</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntIfStatement" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#160">Synopsis/Token.hh:160</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#50">Synopsis/PTree/TypeVisitor.hh:50</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lIfStatement_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;IfStatement*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mToken_mntInfixExpr" /><h2 >Enumerator Synopsis::Token::ntInfixExpr</h2><ul>
<li><a href="../Scopes/Synopsis/Token.html#ntInfixExpr" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Token.hh.html#178">Synopsis/Token.hh:178</a>: in struct <a href="../Scopes/Synopsis/Token.html" >Synopsis::Token</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#67">Synopsis/PTree/TypeVisitor.hh:67</a>: in member function <a href="../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lInfixExpr_S_r" >Synopsis::PTree::TypeVisitor::visit&#40;InfixExpr*&#41;</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
